<?php get_header();
	$classes = ing_sidebar_classes();
?>
<div id="main-content" class="row collapse" <?php echo $classes['main-content'];?>>
	<div id="primary" class="<?php echo $classes['primary'];?>">
	<?php
	if(have_posts())
	{
		?>
		<h1 class="archive-title"><?php
			if ( is_day() ) :
				printf( __( 'Daily Archives: %s', 'ingleside' ), '<span>' . get_the_date() . '</span>' );
			elseif ( is_month() ) :
				printf( __( 'Monthly Archives: %s', 'ingleside' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'ingleside' ) ) . '</span>' );
			elseif ( is_year() ) :
				printf( __( 'Yearly Archives: %s', 'ingleside' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'ingleside' ) ) . '</span>' );
			else :
				_e( 'Archives', 'ingleside' );
			endif;
		?></h1>
		
		<?php	
		while ( have_posts() )
		{
			the_post();
			
			get_template_part( 'content', 'archive' );
		}
		?>
		<div class="ing-navigation clearfix">
			<div class="left"><?php previous_posts_link( '<i class="fi-previous"></i>' ); ?></div>
			<div class="right"><?php next_posts_link( '<i class="fi-next"></i>', '' ); ?></div>
		</div>
		<?php	
	}else{
		get_template_part( 'content', 'none' );
	}
	?>
	</div>
	<?php get_sidebar(); ?>
</div>
<?php get_footer();?>